Package org.apache.calcite.avatica

## Class MetaImpl.MetaUdt

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaUdt

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaUdt
    extends java.lang.Object

Metadata describing a user-defined type.

### Field Summary

Fields
`java.lang.Short` `baseType`
`java.lang.String` `className`
`int` `dataType`
`java.lang.String` `remarks`
`java.lang.String` `typeCat`
`java.lang.String` `typeName`
`java.lang.String` `typeSchem`

### Constructor Summary

Constructors
`MetaUdt​(java.lang.String typeCat, java.lang.String typeSchem, java.lang.String typeName, java.lang.String className, int dataType, java.lang.Short baseType)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeCat

    public final java.lang.String typeCat

#### typeSchem

    public final java.lang.String typeSchem

#### typeName

    public final java.lang.String typeName

#### className

    public final java.lang.String className

#### dataType

    public final int dataType

#### remarks

    public final java.lang.String remarks

#### baseType

    public final java.lang.Short baseType

### Constructor Detail

#### MetaUdt

    public MetaUdt​(java.lang.String typeCat,
                   java.lang.String typeSchem,
                   java.lang.String typeName,
                   java.lang.String className,
                   int dataType,
                   java.lang.Short baseType)